<!DOCTYPE html>
<html lang="it">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Installa Certificato Auto-Firmato</title>
	<link rel="stylesheet" href="main.css">
</head>
<body>
	<main>
		<h1>Installa Certificato Auto-Firmato</h1>
		<p>Per utilizzare questa applicazione, è necessario installare il certificato SSL auto-firmato.</p>

		<section on-platform="win">
			<h2>Istruzioni per Windows</h2>
			<ol>
				<li>Fare doppio clic sul file <a href="#server.cert">server.cert</a> per aprire la procedura guidata di installazione del certificato.</li>
				<li>Selezionare "Installa certificato" e scegliere "Computer locale".</li>
				<li>Selezionare "Colloca tutti i certificati nel seguente archivio" e scegliere "Autorità di certificazione radice attendibili".</li>
				<li>Completare la procedura guidata e confermare l'installazione.</li>
				<li>Riavvia l'applicazione nan•web</li>
			</ol>
		</section>

		<section on-platform="mac">
			<h2>Istruzioni per Mac</h2>
			<ol>
				<li>Aprire l'applicazione Accesso Portachiavi.</li>
				<li>Trascinare il file <a href="#server.cert">server.cert</a> nel portachiavi "Sistema".</li>
				<li>Trovare il certificato nell'elenco <code>localhost</code>, fare doppio clic su di esso e espandere la sezione "Attestati".</li>
				<li>Impostare "Quando si utilizza questo certificato" su "Fidati sempre".</li>
				<li>Riavvia l'applicazione nan•web</li>
			</ol>
		</section>

		<section on-platform="lin">
			<h2>Istruzioni per Linux</h2>
			<ol>
				<li>Copiare il certificato nella directory <code>/usr/local/share/ca-certificates/</code>:
					<pre>sudo cp <loc file="server.cert"></loc> /usr/local/share/ca-certificates/server.crt</pre>
				</li>
				<li>Aggiornare i certificati CA:
					<pre>sudo update-ca-certificates</pre>
				</li>
				<li>Riavvia l'applicazione nan•web</li>
			</ol>
		</section>
	</main>

	<script src="main.js" type="module"></script>
</body>
</html>
